<?php
if (($_SERVER["REQUEST_METHOD"] == "POST")) {
    include ('../conexion/config.php');
    include ('../php/funciones.php');

    date_default_timezone_set("Europe/Madrid");
    $sesionDesde = date("Y-m-d H:i:A");

    if (CheckEmail($_REQUEST['emailUser'])) {
        //email correcto
        $emailUser = ($_REQUEST['emailUser']);
        $passwordUser = trim($_REQUEST['passwordUser']);

        //buscamos en la bd un usuario con ese email
        //y cargamos un array con los datos
        $usuario = ExisteEmailUsuarioBD(
            $emailUser,
            $passwordUser,
            $con,
            $sesionDesde
        );

        
        if ($usuario['ok'] == "1") {
            //echo $usuario['err'];
            //echo $usuario['nameUser'];
            session_start();
            $_SESSION['IdUser'] = $usuario['IdUser'];
            $_SESSION['nameUser'] = $usuario['nameUser'];
            $_SESSION['emailUser'] = $usuario['emailUser'];
            $_SESSION['UserAdmin'] = $usuario['UserAdmin'];                     

            echo $_SESSION['nameUser'];

            header("location:../clientes4.php");
        } else {
            if ($usuario['err'] == "1") {
                //pass incorrecta
                echo $usuario['err'];
                header("location:login.php?b=1");
            } else {
                //usuario incorrecto
                echo $usuario['err'];
                header("location:login.php?f=1");
            }

        }


/*
        if ($usuario['ok'] == "1") {
            $_SESSION['IdUser'] = $usuario['IdUser'];
            $_SESSION['nameUser'] = $usuario['nameUser'];
            $_SESSION['emailUser'] = $usuario['emailUser'];
            $_SESSION['UserAdmin'] = $usuario['UserAdmin'];

            //Actualizando la primera Hora del Login
            $Update = ("UPDATE myusers SET sesionDesde='$sesionDesde' WHERE emailUser='$emailUser' ");
            $resultado = mysqli_query($con, $Update);

            header("location:../clientes.php");

        } else {
            if ($usuario['err'] == "1") {
                //pass incorrecta
                echo $usuario['err'];

            } else {
                //usuario incorrecto
                echo $usuario['err'];
            }

        }
*/
    } else {
        //echo "Email no valido";
        header("location:login.php?e=1");
    }

}
